ClarisDrawTextInternal::Token Struct Reference documentation

ClarisDrawTextInternal::Token Struct Reference

Internal: class to store field definition: TOKN entry. More...

## Public Member Functions
| Token ()
| constructor

## Public Attributes
TokenType | m_type
| the type
int | m_zoneId
| the zone id which correspond to this type
int | m_page
| the page
int | m_size [2]
| the size(?)
int | m_descent
| the descent
MWAWEntry | m_fieldEntry
| the field name entry
int | m_unknown [3]
| the unknown zone
std::string | m_extra
| a string used to store the parsing errors

## Friends
std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator <<

## Detailed Description

Internal: class to store field definition: TOKN entry.

## Constructor & Destructor Documentation

## ◆ Token()

ClarisDrawTextInternal::Token::Token | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Token const & | tok )
| friend

operator <<

## Member Data Documentation

## ◆ m_descent

int ClarisDrawTextInternal::Token::m_descent

the descent

Referenced by operator<<, and Token().

## ◆ m_extra

std::string ClarisDrawTextInternal::Token::m_extra

a string used to store the parsing errors

Referenced by operator<<, ClarisDrawText::readTokens(), and Token().

## ◆ m_fieldEntry

MWAWEntry ClarisDrawTextInternal::Token::m_fieldEntry

the field name entry

Referenced by Token().

## ◆ m_page

int ClarisDrawTextInternal::Token::m_page

the page

Referenced by operator<<, ClarisDrawText::readTokens(), and Token().

## ◆ m_size

int ClarisDrawTextInternal::Token::m_size[2]

the size(?)

Referenced by operator<<, ClarisDrawText::readTokens(), and Token().

## ◆ m_type

TokenType ClarisDrawTextInternal::Token::m_type

the type

Referenced by operator<<, ClarisDrawText::readTokens(), and Token().

## ◆ m_unknown

int ClarisDrawTextInternal::Token::m_unknown[3]

the unknown zone

Referenced by operator<<, ClarisDrawText::readTokens(), and Token().

## ◆ m_zoneId

int ClarisDrawTextInternal::Token::m_zoneId

the zone id which correspond to this type

Referenced by operator<<, ClarisDrawText::readTokens(), and Token().

The documentation for this struct was generated from the following file:

- ClarisDrawText.cxx